# List Hourly Activities Actions Stats

{% hint style="info" %}
List all hourly activities actions stats the requesting manager has access permissions to.
{% endhint %}

**URL**: `/api/v1/activities-hourly/actions_stats/`\
**Method**: `GET`

## Query parameters

### Pagination

{% hint style="info" %}
Default pagination is 20 results per page.
{% endhint %}

* `limit` — Number of results to return per page.\
  Example: `limit=20`
* `offset` — The initial index from which to return the results.\
  Example: `offset=21`

### Filtering

<details>

<summary>Filtering options</summary>

* `action__in`
* values can be: `consumption`, `f_consumption`, `check`, `check_feature`, `activation`, `deactivation`, `activation_offline`, `deactivation_offline`, `trial_key`, `keygen`, `order`, `license_issued`, `change_password`, `customer_license_users`, `floating_release`, `installation_file`, `versions`, `product_details`, `get_device_variables`, `track_device_variables`, `ping`, `single_sign_on`, `floating_borrow`
* `product__in`
* `license__in`
* `status_code__in`
* `ts__*`
  * \* can be `lte`,  `gte`, `lt`, `gt`,  `date__lte`, `date__gte`, `date__lt`, `date__gt`
* `status_code__*`
  * \* can be `lte`, `gte`, `lt`, `gt`&#x20;
* `ts__*`
  * \* can be `lte`, `gte`, `lt`, `gt`, `date__lte`, `date__gte`, `date__lt`, `date__gt`
* `status_code__*`
  * \* can be `lte`, `gte`, `lt`, `gt`

</details>

## Success response

Code: `200 OK`

{% code title="Response (application/json)" %}

```json
{
    "activation": {
        "succ": 31733,
        "fail": 5557
    },
    ...
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.licensespring.com/management-api/analytics/hourly-activities/list-hourly-activities-actions-stats.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
